Bug 119200 - header is missed in ru.po
Summary: header is missed in ru.po
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: dialog   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-26 10:12 UTC by Leonid Kanter
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 13:46:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete Russian translation with valid header (696 bytes, text/plain)
2004-03-26 10:18 UTC, Leonid Kanter
no flags Details
Complete Russian translation with valid header (696 bytes, text/plain)
2004-03-26 10:34 UTC, Leonid Kanter
no flags Details

Description Leonid Kanter 2004-03-26 10:12:17 UTC
Description of problem:

ru.po from dialog's sources is in plain 8-bit KOI8-R encoding and it
doesn't have valid header with "ENCODING=" tag. As a result, dialog is
unable to show its messages in any locales other than ru_RU.UTF-8,
especially in ru_RU.UTF8.

Version-Release number of selected component (if applicable):

dialog-0.9b-20031207.2

How reproducible:

always

Steps to Reproduce:
1. LANG=ru_RU.UTF-8 dialog --clear --title "ТеÑÑ" --menu "ТеÑÑ" 10 41
3 "Value1" "ТеÑÑ1" "Value2" "ТеÑÑ2" "Value3" "ТеÑÑ3"

Actual results:

buttons strings in <> are empty

Expected results:

Russian words must be there

Additional info:

Tested with correct ru.po - OK

Comment 1 Leonid Kanter 2004-03-26 10:18:24 UTC
Created attachment 98876 [details]
Complete Russian translation with valid header

Comment 2 Leonid Kanter 2004-03-26 10:34:09 UTC
Created attachment 98877 [details]
Complete Russian translation with valid header

Comment 3 Harald Hoyer 2004-04-21 13:46:06 UTC
sent to the author of dialog...


Note You need to log in before you can comment on or make changes to this bug.